View Issue Details

IDProjectCategoryView StatusLast Update
0005568DarkRadiantGUIpublic27.11.2021 09:20
Reportergreebo Assigned Togreebo  
PrioritynormalSeveritynormalReproducibilityhave not tried
Status closedResolutionfixed 
Product Version2.11.0 
Fixed in Version2.12.0 
Summary0005568: Material Editor: Image Picker to select files from VFS
DescriptionAs a first measure, the picker should just list what is available in the current mod file hierarchy, with a preview of the image file.
TagsNo tags attached.

Relationships

child of 0005572 closedgreebo Material Editor 

Activities

There are no notes attached to this issue.

Related Changesets

DarkRadiant: master 3e12d92c

2021-03-23 11:33:33

greebo

Details Diff
0005568: Start adding the custom controls and dialog to select a map file from the VFS Affected Issues
0005568
mod - install/ui/materialeditor.fbp Diff File
mod - libs/wxutil/XmlResourceBasedWidget.h Diff File
mod - radiant/CMakeLists.txt Diff File
add - radiant/ui/common/ImageFileSelector.cpp Diff File
add - radiant/ui/common/ImageFileSelector.h Diff File
add - radiant/ui/materials/MapExpressionEntry.h Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File
mod - radiant/ui/materials/MaterialEditor.h Diff File
mod - tools/msvc/DarkRadiant.vcxproj Diff File
mod - tools/msvc/DarkRadiant.vcxproj.filters Diff File

DarkRadiant: master 3b8358af

2021-03-23 12:20:57

greebo

Details Diff
0005568: Populate the tree view with every possible image file in the VFS - probably has to be trimmed down a bit Affected Issues
0005568
mod - install/ui/materialeditor.fbp Diff File
mod - install/ui/materialeditor.xrc Diff File
add - radiant/ui/common/ImageFilePopulator.h Diff File
mod - radiant/ui/common/ImageFileSelector.cpp Diff File
mod - radiant/ui/common/ImageFileSelector.h Diff File
mod - radiant/ui/materials/MapExpressionEntry.h Diff File
mod - tools/msvc/DarkRadiant.vcxproj Diff File
mod - tools/msvc/DarkRadiant.vcxproj.filters Diff File

DarkRadiant: master 0c663f5f

2021-03-23 12:52:03

greebo

Details Diff
0005568: Assign the value to the target control, to make the preview adjust automatically to the current selection Affected Issues
0005568
mod - radiant/ui/common/ImageFileSelector.cpp Diff File
mod - radiant/ui/common/ImageFileSelector.h Diff File
mod - radiant/ui/materials/MapExpressionEntry.h Diff File

DarkRadiant: master ffe0f0ae

2021-03-23 13:16:39

greebo

Details Diff
0005568: Preprocess the path to DDS files to be assignable to a map expression. Affected Issues
0005568
mod - libs/os/path.h Diff File
mod - radiant/ui/common/ImageFilePopulator.h Diff File
mod - radiant/ui/common/ImageFileSelector.cpp Diff File
mod - radiant/ui/common/ImageFileSelector.h Diff File
mod - radiant/ui/materials/MapExpressionEntry.h Diff File

DarkRadiant: master 5c58e0f7

2021-03-23 15:41:50

greebo

Details Diff
0005568: Place the selection dialog window over the left area of the editor such that the preview is visible Affected Issues
0005568
mod - install/ui/materialeditor.fbp Diff File
mod - install/ui/materialeditor.xrc Diff File
mod - radiant/ui/materials/MapExpressionEntry.h Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File

DarkRadiant: master eba0c552

2021-03-23 15:48:24

greebo

Details Diff
0005568: Add some unit test for the newly added os::removeExtension function, as well as for the existing os::getExtension. Affected Issues
0005568
mod - test/Basic.cpp Diff File

DarkRadiant: master 8b0ada5f

2021-03-23 16:57:58

greebo

Details Diff
0005568: Handle image file selection for cube map images. Setting map expressions of cubemap stages will assign cube map declaration - this is not very tolerant to errors, as the openGL API will throw 1282 errors when trying to assign a non-cubemap texture in cubemap mode. Affected Issues
0005568
mod - radiant/ui/common/ImageFilePopulator.h Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.cpp Diff File

DarkRadiant: master 211f30cf

2021-03-23 17:18:18

greebo

Details Diff
0005568: Select the current image file path in the tree when opening the dialog. Affected Issues
0005568
mod - radiant/ui/common/ImageFileSelector.cpp Diff File
mod - radiant/ui/common/ImageFileSelector.h Diff File
mod - radiant/ui/materials/MapExpressionEntry.h Diff File

DarkRadiant: master 0a534f72

2021-03-23 19:44:03

greebo

Details Diff
0005568: Streamline the resource tree view filter functions a bit.
This way the code to hide empty folders can also take effect when overriding the IsTreeModelRowVisible method.
Affected Issues
0005568
mod - libs/wxutil/dataview/ResourceTreeView.cpp Diff File
mod - libs/wxutil/dataview/ResourceTreeView.h Diff File

DarkRadiant: master d97287f6

2021-03-23 19:44:54

greebo

Details Diff
0005568: Hide unrelated textures when looking for cube map textures, and vice versa when looking for regular textures Affected Issues
0005568
mod - radiant/CMakeLists.txt Diff File
add - radiant/ui/common/ImageFilePopulator.cpp Diff File
mod - radiant/ui/common/ImageFilePopulator.h Diff File
mod - radiant/ui/common/ImageFileSelector.cpp Diff File
mod - radiant/ui/common/ImageFileSelector.h Diff File
mod - radiant/ui/materials/MapExpressionEntry.h Diff File
mod - tools/msvc/DarkRadiant.vcxproj Diff File
mod - tools/msvc/DarkRadiant.vcxproj.filters Diff File

DarkRadiant: master 907fb02f

2021-03-24 03:17:53

greebo

Details Diff
0005568: Use MapExpressionEntry and -Binding for MaterialStageImageMap, add expression entry for light fall off image Affected Issues
0005568
mod - radiant/ui/materials/MapExpressionEntry.h Diff File
mod - radiant/ui/materials/MaterialEditor.cpp Diff File

DarkRadiant: master 17509fe6

2021-03-25 16:37:31

greebo

Details Diff
0005568: GCC build fixes Affected Issues
0005568
mod - radiant/ui/common/ImageFileSelector.cpp Diff File
mod - radiantcore/shaders/TableDefinition.h Diff File

Issue History

Date Modified Username Field Change
22.03.2021 11:14 greebo New Issue
22.03.2021 11:14 greebo Assigned To => greebo
22.03.2021 11:14 greebo Status new => confirmed
22.03.2021 11:14 greebo Relationship added child of 0005532
23.03.2021 06:55 greebo Assigned To greebo =>
23.03.2021 06:55 greebo Assigned To => greebo
23.03.2021 06:55 greebo Status confirmed => assigned
23.03.2021 07:02 greebo Relationship deleted child of 0005532
23.03.2021 07:02 greebo Relationship added child of 0005572
23.03.2021 15:49 greebo Changeset attached => DarkRadiant master 3e12d92c
23.03.2021 15:49 greebo Changeset attached => DarkRadiant master 3b8358af
23.03.2021 15:49 greebo Changeset attached => DarkRadiant master 0c663f5f
23.03.2021 15:49 greebo Changeset attached => DarkRadiant master ffe0f0ae
23.03.2021 15:49 greebo Changeset attached => DarkRadiant master 5c58e0f7
23.03.2021 15:49 greebo Changeset attached => DarkRadiant master eba0c552
23.03.2021 17:18 greebo Changeset attached => DarkRadiant master 8b0ada5f
23.03.2021 17:18 greebo Changeset attached => DarkRadiant master 211f30cf
23.03.2021 17:19 greebo Status assigned => resolved
23.03.2021 17:19 greebo Resolution open => fixed
23.03.2021 17:19 greebo Fixed in Version => 2.12.0
23.03.2021 19:46 greebo Changeset attached => DarkRadiant master 0a534f72
23.03.2021 19:46 greebo Changeset attached => DarkRadiant master d97287f6
24.03.2021 03:18 greebo Changeset attached => DarkRadiant master 907fb02f
25.03.2021 16:38 greebo Changeset attached => DarkRadiant master 17509fe6
27.11.2021 09:20 greebo Status resolved => closed